[gtk/fix-win32-build] Add CI for gtk-2-24
- From: Emmanuele Bassi <ebassi src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [gtk/fix-win32-build] Add CI for gtk-2-24
- Date: Mon, 7 Oct 2019 14:42:00 +0000 (UTC)
commit 0d4456766989b8179dcd49ac3165499076838739
Author: Emmanuele Bassi <ebassi gnome org>
Date: Mon Oct 7 15:41:30 2019 +0100
Add CI for gtk-2-24
A little bit late, but probably for the best.
.gitlab-ci.yml | 25 +++++++++++++++++++++
.gitlab-ci/test-docker-autotools.sh | 14 ++++++++++++
.gitlab-ci/test-msys2-autotools.sh | 44 +++++++++++++++++++++++++++++++++++++
3 files changed, 83 insertions(+)
---
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
new file mode 100644
index 0000000000..2fd8d94ea4
--- /dev/null
+++ b/.gitlab-ci.yml
@@ -0,0 +1,25 @@
+image: registry.gitlab.gnome.org/gnome/gtk/gtk-3-24:v2
+
+stages:
+ - build
+
+cache:
+ paths:
+ - _ccache/
+
+fedora-autotools:
+ stage: build
+ script:
+ - bash -x ./.gitlab-ci/test-docker-autotools.sh
+
+msys2-mingw32-autotools:
+ when: manual
+ variables:
+ MSYSTEM: "MINGW32"
+ CHERE_INVOKING: "yes"
+ stage: build
+ tags:
+ - win32
+ script:
+ - C:\msys64\usr\bin\pacman --noconfirm -Syyuu
+ - C:\msys64\usr\bin\bash -lc "bash -x ./.gitlab-ci/test-msys2-autotools.sh"
diff --git a/.gitlab-ci/test-docker-autotools.sh b/.gitlab-ci/test-docker-autotools.sh
new file mode 100755
index 0000000000..3966240549
--- /dev/null
+++ b/.gitlab-ci/test-docker-autotools.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+mkdir -p _ccache
+export CCACHE_BASEDIR="$(pwd)"
+export CCACHE_DIR="${CCACHE_BASEDIR}/_ccache"
+
+mkdir _build
+cd _build
+../autogen.sh \
+ --enable-xinerama \
+ --enable-gtk-doc
+make -j8
diff --git a/.gitlab-ci/test-msys2-autotools.sh b/.gitlab-ci/test-msys2-autotools.sh
new file mode 100644
index 0000000000..656bac26bd
--- /dev/null
+++ b/.gitlab-ci/test-msys2-autotools.sh
@@ -0,0 +1,44 @@
+#!/bin/bash
+
+set -e
+
+if [[ "$MSYSTEM" == "MINGW32" ]]; then
+ export MSYS2_ARCH="i686"
+else
+ export MSYS2_ARCH="x86_64"
+fi
+
+# Update everything
+pacman --noconfirm -Suy
+
+# Install the required packages
+pacman --noconfirm -S --needed \
+ base-devel \
+ mingw-w64-$MSYS2_ARCH-toolchain \
+ mingw-w64-$MSYS2_ARCH-ccache \
+ mingw-w64-$MSYS2_ARCH-pkg-config \
+ mingw-w64-$MSYS2_ARCH-gobject-introspection \
+ mingw-w64-$MSYS2_ARCH-adwaita-icon-theme \
+ mingw-w64-$MSYS2_ARCH-atk \
+ mingw-w64-$MSYS2_ARCH-cairo \
+ mingw-w64-$MSYS2_ARCH-gdk-pixbuf2 \
+ mingw-w64-$MSYS2_ARCH-glib2 \
+ mingw-w64-$MSYS2_ARCH-json-glib \
+ mingw-w64-$MSYS2_ARCH-libepoxy \
+ mingw-w64-$MSYS2_ARCH-pango \
+ mingw-w64-$MSYS2_ARCH-shared-mime-info \
+ mingw-w64-$MSYS2_ARCH-gtk-doc
+
+mkdir -p _ccache
+export CCACHE_BASEDIR="$(pwd)"
+export CCACHE_DIR="${CCACHE_BASEDIR}/_ccache"
+export CC="ccache gcc"
+
+# Build
+ccache --zero-stats
+ccache --show-stats
+
+./autogen.sh
+make -j4
+
+ccache --show-stats
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]